.generatedQuestion {
  padding-top: 8px;
  display: flex;
  gap: 18px;
  margin-bottom: 16px;
  white-space: pre-line;
  flex: 0 0 100%;
  & > * {
    width: 100%;
  }
}
.generatedQuestionEditIcon {
  width: 20px;
  height: 20px;
  cursor: pointer;
  filter: contrast(50%);
  transition: all 0.3s ease;
  &.disable svg {
    cursor: unset;
    filter: contrast(10%);
  }
  &:hover {
    filter: contrast(100%);
  }
  &.disable:hover svg {
    filter: contrast(10%);
  }
}
.generatedQuestionBtns {
  display: flex;
  gap: 16px;
}
.generatedQuestionSkeleton {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.editGeneratedQuestionBtns {
  display: flex;
  justify-content: end;
  gap: 16px;
}
.oldQuestionsContainer {
  width: 100%;
  background: #fff;
  margin-top: 32px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  padding: 16px;
}
.oldQuestionsList {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.oldQuestionBtns {
  display: flex;
  gap: 16px;
}
.questionDropdownForms {
  margin-top: 32px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.dotsWithAnimation {
  display: flex;
  justify-content: center;
  align-items: center;
}
.dot {
  width: 10px;
  height: 10px;
  margin: 0 5px;
  border-radius: 50%;
  background-color: #2dad96;
  opacity: 0.2;
  animation: blink 2.5s infinite ease-in-out;
}

.dot:nth-child(1) {
  animation-delay: 0s;
}

.dot:nth-child(2) {
  animation-delay: 0.3s;
}

.dot:nth-child(3) {
  animation-delay: 0.6s;
}

@keyframes blink {
  0%,
  100% {
    opacity: 0.2;
  }
  50% {
    opacity: 1;
  }
}
.loaderText {
  font-size: 14px;
  font-weight: 600;
  color: #2dad96;
}
.Tooltip {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-family: inherit;
  font-size: 16px;
  cursor: pointer;
  line-height: 100%;
  position: relative;
  & > span {
    opacity: 0;
    z-index: -1;
    position: absolute;
    top: 15px;
    left: 15px;
    // width: 500px;
    color: #989898;
    background: #fffae8;
    border: 1px solid #f4c807;
    width: max-content;
    padding: 8px;
    border-radius: 10px;
    transition: 0.3s ease all;
  }
  &:hover > span {
    opacity: 1;
    z-index: 1;
  }
}
